Đến nội dung


Hình ảnh

Không thể tìm điểm thấp nhất của spline


  • Please log in to reply
1 reply to this topic

#1 tnpc

tnpc

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 December 2007 - 11:01 AM

Mình có 1 điều chưa làm được là tìm điểm thấp nhất của 1 đường SPLINE. Mong nhận được sự giúp đỡ của các bạn.
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 09 December 2007 - 07:19 PM

Mình có 1 điều chưa làm được là tìm điểm thấp nhất của 1 đường SPLINE. Mong nhận được sự giúp đỡ của các bạn.

Tiêu đề của bạn cũng là 1 lời khẳng định rồi.
Trong các lệnh AutoCAD không có bất cứ 1 lệnh nào tìm điểm thấp nhất của hình bất kỳ (chứ chưa nói đến spline).

Khi có sự can thiệp của Autolisp, việc tìm điểm dưới cùng của 1 spline cũng rất phức tạp. Mặc dù autocad có cung cấp hàm vla-getboundingbox để lấy hình chữ nhật bao của đối tượng, hàm này đúng với gần như mọi đối tượng (kể cả phức tạp như block). Nhưng duy có spline là không đúng.

Nhưng nhân tiện bạn đã hỏi, thì cũng xin nêu 2 hàm AutoLisp lấy điểm Trái-Dưới và Phải-Trên của hình chữ nhật bao đối tượng bất kỳ (trừ spline).
(defun GocTD(ent / p1 p2)
(vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
(vlax-safearray->list p1)
)
(defun GocPT(ent / p1 p2)
(vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
(vlax-safearray->list p2)
)
  • 1